import { ActionFormData } from "@minecraft/server-ui"
import { world, system } from "@minecraft/server"

let mapName = '                 §g§6Block §ePuzzle§g§r'
let author = '§3Created by GST378'
let gamertagA = '§aGamertag:'
let gamertagB = '§fGusta 23324585'
let linkA = '§bDownload Link:'
let linkB = '§bhttps://mcpedl.com/block-puzzle/'
let prgh = '§g---------------------------------§r'

class Mains {

    Stats(player) {
        const games = world.scoreboard.getObjective('gst:games_played').getScore(player);
        const highscore = world.scoreboard.getObjective("gst:highscore").getScore(player);
        const i_piece = world.scoreboard.getObjective("gst:i_piece").getScore(player);
        const o_piece = world.scoreboard.getObjective("gst:o_piece").getScore(player);
        const s_piece = world.scoreboard.getObjective("gst:s_piece").getScore(player);
        const z_piece = world.scoreboard.getObjective("gst:z_piece").getScore(player);
        const t_piece = world.scoreboard.getObjective("gst:t_piece").getScore(player);
        const l_piece = world.scoreboard.getObjective("gst:l_piece").getScore(player);
        const j_piece = world.scoreboard.getObjective("gst:j_piece").getScore(player);
        const lines = world.scoreboard.getObjective("gst:lines_destroyed").getScore(player);
        const form = new ActionFormData()
        form.title({translate: 'gst.title.stats'})
        form.body({'rawtext':[{'text':`${mapName}\n${prgh}\n`},{'translate':'gst.body_0.stats'},{'text':`\n§f ${games}\n`},{'translate':'gst.body_1.stats'},{'text':`§r\n§e ${highscore}\n${prgh}\n`},{'translate':'gst.body_2.stats'},{'text':`\n§b ${i_piece} §e ${o_piece} §a ${s_piece}  §c${z_piece}\n §d${t_piece}  §6${l_piece} §1 ${j_piece}\n`},{"translate":"gst.body_3.stats"},{"text":`\n§f ${lines}\n${prgh}\n${author}\n${gamertagA}\n${gamertagB}\n${prgh}\n${linkA}\n${linkB}\n${prgh}\n`}]});
        form.button({translate:'gst.back.button'});
        form.show(player).then((data) => {
            //
        });
    }
}

export const Main = new Mains()