import { world, system } from "@minecraft/server"

const mapSystem = world.getDimension('overworld');
let nextPiece = 0

system.afterEvents.scriptEventReceive.subscribe(data => {
    const { id, message } = data;
    const player = data.source;
    if(id == "gst:spawn_pieces") {
        for(const player of world.getAllPlayers()) {
            const type = player.getProperty('gst:type');
            const maxPieces = player.getProperty('gst:max_pieces');
            const nextPieceScore = world.scoreboard.getObjective('gst:next_piece').getScore(player);
            nextPiece = (nextPieceScore == 0 ? (1 + (Math.floor(Math.random()*maxPieces))) : nextPieceScore);
            if(nextPiece == 1) {
                mapSystem.runCommandAsync(`summon gst:i_piece 20 124 27 facing 0 124 27 gst:spawn_${type}`);
                return;
            }
            if(nextPiece == 2) {
                mapSystem.runCommandAsync(`summon gst:o_piece 20 124 26 facing 0 124 26 gst:spawn_${type}`);
                return;
            }
            if(nextPiece == 3) {
                mapSystem.runCommandAsync(`summon gst:s_piece 20 124 26 facing 0 124 26 gst:spawn_${type}`);
                return;
            }
            if(nextPiece == 4) {
                mapSystem.runCommandAsync(`summon gst:z_piece 20 124 26 facing 0 124 26 gst:spawn_${type}`);
                return;
            }
            if(nextPiece == 5) {
                mapSystem.runCommandAsync(`summon gst:t_piece 20 124 26 facing 0 124 26 gst:spawn_${type}`);
                return;
            }
            if(nextPiece == 6) {
                mapSystem.runCommandAsync(`summon gst:l_piece 20 124 26 facing 0 124 26 gst:spawn_${type}`);
                return;
            }
            if(nextPiece == 7) {
                mapSystem.runCommandAsync(`summon gst:j_piece 20 124 26 facing 0 124 26 gst:spawn_${type}`);
                return;
            }
        }
    }
});